export interface ApiAccessLogVO {
    id: number
    traceId: string
    userId: number
    userType: number
    applicationName: string
    requestMethod: string
    requestParams: string
    requestUrl: string
    userIp: string
    userAgent: string
    beginTime: Date
    endTIme: Date
    duration: number
    resultCode: number
    resultMsg: string
    createTime: Date
}

export interface ApiAccessLogPageReqVO extends PageParam {
    userId?: number
    userType?: number
    applicationName?: string
    requestUrl?: string
    beginTime?: Date[]
    duration?: number
    resultCode?: number
}

export interface ApiAccessLogExportReqVO {
    userId?: number
    userType?: number
    applicationName?: string
    requestUrl?: string
    beginTime?: Date[]
    duration?: number
    resultCode?: number
}

export interface ApiErrorLogVO {
    id: number
    traceId: string
    userId: number
    userType: number
    applicationName: string
    requestMethod: string
    requestParams: string
    requestUrl: string
    userIp: string
    userAgent: string
    exceptionTime: Date
    exceptionName: string
    exceptionMessage: string
    exceptionRootCauseMessage: string
    exceptionStackTrace: string
    exceptionClassName: string
    exceptionFileName: string
    exceptionMethodName: string
    exceptionLineNumber: number
    processUserId: number
    processStatus: number
    processTime: Date
    resultCode: number
    createTime: Date
}

export interface ApiErrorLogPageReqVO extends PageParam {
    userId?: number
    userType?: number
    applicationName?: string
    requestUrl?: string
    exceptionTime?: Date[]
    processStatus?: number
}

export interface ApiErrorLogExportReqVO {
    userId?: number
    userType?: number
    applicationName?: string
    requestUrl?: string
    exceptionTime?: Date[]
    processStatus: number
}
